<script>
  const width = 100;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
</script>

<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <!--  -->
    <rect x={innerWidth / 4} y={innerHeight / 4} width=40 height=40 />
    <circle cx={(innerWidth/3)*2} cy={(innerHeight/3)*2} r=20 />
  </g>
</svg>

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
    fill: yellow;
  }
  circle{
    fill: skyblue;
  }
</style>
